org.eclipse.e4.ui.model.application

## Interface MApplicationFactory

    public interface MApplicationFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Since:
  1.0

### Field Summary

Fields
`static MApplicationFactory` `INSTANCE` The singleton instance of the factory

### Method Summary

All Methods Instance Methods Abstract Methods
`MAddon` `createAddon()` Returns a new object of class 'Addon'
`MApplication` `createApplication()` Returns a new object of class 'Application'

### Field Detail

#### INSTANCE

    static final MApplicationFactory INSTANCE

The singleton instance of the factory.

### Method Detail

#### createApplication

    MApplication createApplication()

Returns a new object of class 'Application'.

Returns:
  a new object of class 'Application'.

#### createAddon

    MAddon createAddon()

Returns a new object of class 'Addon'.

Returns:
  a new object of class 'Addon'.